<?php
if (!eregi("mod.php", $PHP_SELF)) { die ("عفوا هذه العملية غير مشروعة"); }

$admin->head();
echo "
<table border=0 width=80% cellspacing=2 cellpadding=6>
  <tr>
    <td disabled  align=center class=datacell><a href=mod.php?act=edit&mod=media&modid=$modid&$session><b>احصائيات المكتبة</b></a></td>
    <td align=center class=datacell><a href=mod.php?act=edit&mod=media&modid=$modid&op=new&$session><b>اضف تصنيف جديد</b></a></td>
    <td align=center class=datacell><a href=mod.php?act=edit&mod=media&modid=$modid&op=list&$session><b>ادارة تصنيفات المكتبة</b></a></td>
     <td align=center class=datacell><a href=mod.php?act=edit&mod=media&modid=$modid&op=newmoalif&$session><b>اضف مؤلف جديد</b></a></td>
     <td align=center class=datacell><a href=mod.php?act=edit&mod=media&modid=$modid&op=listmoalif&$session><b>تحرير بيانات المؤلف</b></a></td>
 </tr>
</table><br>";

if($apt->post[submit]){
$mod = $apt->get[mod];
    while (list($key,$value)= each($HTTP_POST_VARS))
    {
	  if(is_array($value)) $value  = $admin->myimplode($value);
	  else $value  = $admin->format_data($value);
        $result = $apt->query("update rafia_mods_settings set set_val='$value' WHERE set_var='$key' and set_mod='$mod'");
    }
	modmsg("تم تعديل الاعدادات بنجاح<br>سوف تنتقل الان الى صفحة الاعدادات");
}else{

$admin->openform("mod.php?act=edit&mod=media&modid=$modid&".$admin->get_sess());
$admin->opentable('تعديل إعدادات مكتبة الميديا');
editmodsetting($mod);
$admin->closetable();
$admin->submit(_UPDATE);
}


$catCount = $apt->dbnumquery("rafia_media_cat");
$itemCount_allow = $apt->dbnumquery("rafia_media_items","item_allow=1");
$itemCount_notallow = $apt->dbnumquery("rafia_media_items","item_allow=0");

  $admin->opentable("إحصائيات سريعه");
  echo "<tr>";
  $admin->td_msg("&nbsp;<b>  عدد التصنيفات :  </b>",20);
  $admin->td_msg("<center><b>".$catCount."</b><center>");
  echo "</tr><tr>";
  $admin->td_msg("&nbsp;<b>  عدد المشاركات المفعله:  </b>",20);
  $admin->td_msg("<center><b>".$itemCount_allow."</b><center>");
  echo "</tr><tr>";
  $admin->td_msg("&nbsp;<b>  عدد المشاركات الغير مفعله:  </b>",20);
  $admin->td_msg("<center><b>".$itemCount_notallow."</b><center>");
  echo "</tr>";
  echo "<tr><td align=center class=datacell width='66%' colspan='2'><b><a href='mod.php?act=edit&mod=media&recount=1&modid=$modid&$session#c'>إعادة حساب الاحصائيات</a></b></td>";
  echo "</tr>";
  $admin->closetable();

if($apt->get[recount]){
  $admin->opentable("تحديث العداد <a href=#c name=c> </a>");

	$result = $apt->query("select * from rafia_media_cat");
	while($row=$apt->dbarray($result)){
		$cat_id   = $row["cat_id"];
		$cat_title = $row["cat_title"];
		$numrowsf = $apt->dbnumquery("rafia_media_items","item_cat='$cat_id'");
		$apt->query("update rafia_media_cat set cat_count='$numrowsf' where cat_id='$cat_id'");
		echo "<tr>";
		$admin->td_msg("&nbsp;<b>  $cat_title :  </b>",20);
		$admin->td_msg("<center><b>".$numrowsf."</b><center>");
		echo "</tr>";
	}
  $admin->closetable();

}

?>